Dependency mis-configuration in apt: libhunspell-1.3-0

Bug #1174772 reported by Yannis Pasvantis on 2013-04-30
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
xulrunner-1.9.2 (Ubuntu)
Undecided
Unassigned

Bug Description

When trying to install code::blocks-12.11 on lubuntu 13.04, I hit the following error, I believe codeblocks should be configured to accept and pull in libhunspell-1.3-0, installing libhunspell-1.2-0 allows the package to install but codeblocks crashes when accessing the library

(Reading database ... 243576 files and directories currently installed.)
Preparing to replace codeblocks 12.11-2 (using codeblocks_12.11-2_i386.deb) ...
Unpacking replacement codeblocks ...
Preparing to replace codeblocks-common 12.11-2 (using codeblocks-common_12.11-2_all.deb) ...
Unpacking replacement codeblocks-common ...
Selecting previously unselected package codeblocks-contrib.
Unpacking codeblocks-contrib (from codeblocks-contrib_12.11-2_i386.deb) ...
Preparing to replace codeblocks-contrib-common 12.11-2 (using codeblocks-contrib-common_12.11-2_all.deb) ...
Unpacking replacement codeblocks-contrib-common ...
Preparing to replace codeblocks-dev 12.11-2 (using codeblocks-dev_12.11-2_i386.deb) ...
Unpacking replacement codeblocks-dev ...
Preparing to replace codeblocks-headers 12.11-2 (using codeblocks-headers_12.11-2_all.deb) ...
Unpacking replacement codeblocks-headers ...
Preparing to replace codeblocks-libwxcontrib0 12.11-2 (using codeblocks-libwxcontrib0_12.11-2_i386.deb) ...
Unpacking replacement codeblocks-libwxcontrib0 ...
Preparing to replace codeblocks-wxcontrib-dev 12.11-2 (using codeblocks-wxcontrib-dev_12.11-2_i386.deb) ...
Unpacking replacement codeblocks-wxcontrib-dev ...
Preparing to replace codeblocks-wxcontrib-headers 12.11-2 (using codeblocks-wxcontrib-headers_12.11-2_all.deb) ...
Unpacking replacement codeblocks-wxcontrib-headers ...
Preparing to replace libcodeblocks0 12.11-2 (using libcodeblocks0_12.11-2_i386.deb) ...
Unpacking replacement libcodeblocks0 ...
Selecting previously unselected package libwxsmithlib0.
Unpacking libwxsmithlib0 (from libwxsmithlib0_12.11-2_i386.deb) ...
Selecting previously unselected package libwxsmithlib0-dev.
Unpacking libwxsmithlib0-dev (from libwxsmithlib0-dev_12.11-2_i386.deb) ...
Selecting previously unselected package libwxsmithlib-dev.
Unpacking libwxsmithlib-dev (from libwxsmithlib-dev_12.11-2_i386.deb) ...
Unpacking wxsmith-dev (from wxsmith-dev_12.11-2_i386.deb) ...
dpkg: error processing wxsmith-dev_12.11-2_i386.deb (--install):
 trying to overwrite '/usr/lib/pkgconfig/wxsmith.pc', which is also in package libwxsmithlib-dev 12.11-2
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Unpacking wxsmith-headers (from wxsmith-headers_12.11-2_all.deb) ...
dpkg: error processing wxsmith-headers_12.11-2_all.deb (--install):
 trying to overwrite '/usr/include/wxsmith/wxsproject.h', which is also in package libwxsmithlib-dev 12.11-2
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Setting up codeblocks-common (12.11-2) ...
dpkg: dependency problems prevent configuration of codeblocks-contrib:
 codeblocks-contrib depends on libhunspell-1.2-0 (>= 1.2.11); however:
  Package libhunspell-1.2-0 is not installed.

Processing triggers for shared-mime-info ...
Processing triggers for desktop-file-utils ...
Processing triggers for gnome-menus ...
Processing triggers for hicolor-icon-theme ...
Processing triggers for man-db ...
Setting up codeblocks (12.11-2) ...
Setting up codeblocks-dev (12.11-2) ...
Setting up codeblocks-headers (12.11-2) ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Errors were encountered while processing:
 codeblocks-contrib

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers